

#ifndef RBA_DEMOBDBASIC_EVMEM_H
#define RBA_DEMOBDBASIC_EVMEM_H

#include "rba_DemObdBasic_Types.h"

boolean rba_DemObdBasic_EvMem_GetNextFilteredDtcId(uint16_least* evMemLocIt, Dem_DtcIdType* dtcId);
void rba_DemObdBasic_EvMem_SetMilCounter(uint16_least LocId, uint8 counter);
uint8 rba_DemObdBasic_EvMem_GetMilCounter(uint16_least LocId);
void rba_DemObdBasic_EvMem_SetFFTimeId(uint16_least LocId, uint32 ObdFFTimeId);
uint32 rba_DemObdBasic_EvMem_GetFFTimeId(uint16_least LocId);

#endif

